EDIT - bug #7476

RegistrationWorkingSetEditor: existing name combobox broken after saving a popup editor
06/14/2018 05:32 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal Found in Version:

Description

After saving any popup editor the lookup mechanism of the existing name combobox no longer works.

This as reported by Henning on 04.05.18 10:41:

Hallo Andreas,

bin bei Workingset
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/c649cc52-db8a-4479-92fb-106fa8e63687
Habe (als Kurator) einen Namen ausgewahlt und einen Namenstypus drangehangt und gespeichert

e Problem: Jetzt kann ich keinen 2. Oder nachsten Namen unter existing name auswahlen.

¢ Problemlésung: Workaround= SchlieBen des Workingset Editors und Neuaufruf, dann geht wieder eine Auswahl, die 2. Wieder
nicht.

¢ Problemlésung: Workaround= SchlieBen des Workingset Editors und Neuaufruf, dann geht wieder eine Auswahl, die 2. Wieder
nicht.

VG
Henning

Associated revisions

Revision b19b631a - 06/14/2018 06:59 PM - Andreas Kohlbecker

fix #7476 initializing PagingProviders after view refresh

History

#1 - 06/14/2018 06:59 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|b1 1ab1aidb791 4ac844c04 4b4ab.

#2 - 06/14/2018 07:00 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

This issue is fixed. Please can you test and confirm?

#3 - 06/14/2018 09:33 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Tested, issue not fixed. 2018-06-14

#4 - 06/15/2018 08:02 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/c649cc52-db8a-4479-92fb-106fa8e63687
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/b19b631ab1a1db7915e0ac4ac844c04a08e4b4ab

Hallo Henning,

ich sehe gerade, dass der Testserver zu diesem Zeitpunkt als du getestet hattest noch nicht neu gebaut war. Jetzt ist der Server auf dem neusten
Stand, bitte teste nochmal.

Andreas

#5 - 06/15/2018 09:26 AM - Wolf-Henning Kusber
- Due date set to 06/15/2018
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

issue fixed, 2018-06-15

#6 - 06/15/2018 10:21 AM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
